
#ifndef __MCE_VR
	#define __MCE_VR

// structures from windows.h

#define TRUE 1
#define FALSE 0

#ifndef WIN32
typedef struct tagRECT {
   int left;
   int top;
   int right;
   int bottom;
} RECT;
#endif


typedef enum tagControlDevice {Keyboard,Joystick,VFX3D_keyboard,VFX3D_cyberpuck,VFX3D_joypad}
ControlDevice;

typedef enum tagGridType {MSquare_XYZ,MSquare_Z,MSquare_XZ,MCube_Triangle,MCube_Web}
GridTypes;

typedef enum tagCaveMode{Translation,Rotation,Scaling,ELD_adjustment,ELD_on_off,Cursor3D,PeakManipulation}
CaveMode;

typedef struct strMceVrConfiguration {
int ControlMode;
int LineWidthCode;
int OSD_mode;
int GridSelection;
} MceVrConfiguration;

typedef struct strMceVrMode{
ControlDevice Control;
GridTypes	GridType;
int OutputWidth;
int OutputHeight;
float LineWidth;
int OSD_visible;
} MceVrMode;

#endif

